Update a form submission request Run in API Explorer
Ask AI
PUT
/api/v1/form/{form_uuid}/submission-request/{submissionRequest_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission-request/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"description": "Please can you submit your annual survey form"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"description": "Please can you submit your annual survey form"
}
Response examples (200)
{
"uuid": "ac371a76-a01e-43fc-9caf-07d4788cb02c",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"description": "Please submit your annual survey form",
"form": {
"uuid": "19ba6723-4adc-4ca7-8c4c-cfe8bdef7db9",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "068cc21b-773c-486f-b459-5d93050c686a",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"has_submission": true,
"submission": {
"uuid": "fd74abb5-ac26-4bb8-be1f-f184e6f91ca4",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"stage": "draft",
"account": {
"uuid": "ac98e17c-38e6-489b-9a59-107d14ab1ae8",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-09T13:38:28+01:00",
"next_review_date": "2026-10-09T13:38:28+01:00",
"previous_review_date": "2026-10-09T13:38:28+01:00",
"anniversary_review_date": "2026-10-09T13:38:28+01:00",
"terms_of_business_at": "2026-10-09T13:38:28+01:00",
"client_agreement_at": "2026-10-09T13:38:28+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-09",
"last_interaction_at": "2026-10-09 13:38:28",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-09T13:38:28+01:00",
"out_of_office_until": "2026-10-09T13:38:28+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"request": {
"uuid": "aafd737d-e2eb-42f3-a851-56ee9426d840",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"description": "Please submit your annual survey form",
"has_submission": true
},
"form": {
"uuid": "45f8b498-f570-46c2-afc8-71dcf4a51330",
"created_at": "2026-10-09T13:38:28+01:00",
"updated_at": "2026-10-09T13:38:28+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}